Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.html2
Interface HTMLObjectElement

All Superinterfaces:
  Element, HTMLElement, Node

All Known Implementing Classes:
  JRexHTMLObjectElementImpl

public interface HTMLObjectElement
extends HTMLElement

Generic embedded object.In principle, all properties on the object element are read-write but in some environments some properties may be read-only once the underlying object is instantiated. See the OBJECT element definition in [HTML 4.01].

See also the Document Object Model (DOM) Level 2 HTML Specification.

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`String` | `getAlign()` Aligns this object (vertically or horizontally) with respect to its surrounding text.
`String` | `getArchive()` Space-separated list of archives.
`String` | `getBorder()` Width of border around the object.
`String` | `getCode()` Applet class file.
`String` | `getCodeBase()` Base URI [IETF RFC 2396] for `classid`, `data`, and `archive` attributes.
`String` | `getCodeType()` Content type for data downloaded via `classid` attribute.
`Document` | `getContentDocument()` The document this object contains, if there is any and it is available, or `null` otherwise.
`String` | `getData()` A URI [IETF RFC 2396] specifying the location of the object's data.
`boolean` | `getDeclare()` Declare (for future reference), but do not instantiate, this object.
`HTMLFormElement` | `getForm()` Returns the `FORM` element containing this control.
`String` | `getHeight()` Override height.
`int` | `getHspace()` Horizontal space, in pixels, to the left and right of this image, applet, or object.
`String` | `getName()` Form control or object name when submitted with a form.
`String` | `getStandby()` Message to render while loading the object.
`int` | `getTabIndex()` Index that represents the element's position in the tabbing order.
`String` | `getType()` Content type for data downloaded via `data` attribute.
`String` | `getUseMap()` Use client-side image map.
`int` | `getVspace()` Vertical space, in pixels, above and below this image, applet, or object.
`String` | `getWidth()` Override width.
`void` | `setAlign(String align)` Aligns this object (vertically or horizontally) with respect to its surrounding text.
`void` | `setArchive(String archive)` Space-separated list of archives.
`void` | `setBorder(String border)` Width of border around the object.
`void` | `setCode(String code)` Applet class file.
`void` | `setCodeBase(String codeBase)` Base URI [IETF RFC 2396] for `classid`, `data`, and `archive` attributes.
`void` | `setCodeType(String codeType)` Content type for data downloaded via `classid` attribute.
`void` | `setData(String data)` A URI [IETF RFC 2396] specifying the location of the object's data.
`void` | `setDeclare(boolean declare)` Declare (for future reference), but do not instantiate, this object.
`void` | `setHeight(String height)` Override height.
`void` | `setHspace(int hspace)` Horizontal space, in pixels, to the left and right of this image, applet, or object.
`void` | `setName(String name)` Form control or object name when submitted with a form.
`void` | `setStandby(String standby)` Message to render while loading the object.
`void` | `setTabIndex(int tabIndex)` Index that represents the element's position in the tabbing order.
`void` | `setType(String type)` Content type for data downloaded via `data` attribute.
`void` | `setUseMap(String useMap)` Use client-side image map.
`void` | `setVspace(int vspace)` Vertical space, in pixels, above and below this image, applet, or object.
`void` | `setWidth(String width)` Override width.

Methods inherited from interface org.w3c.dom.html2.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Method Detail

### getForm

    public HTMLFormElement getForm()

  Returns the `FORM` element containing this control. Returns `null` if this control is not within the context of a form.

### getCode

    public String getCode()

  Applet class file. See the `code` attribute for HTMLAppletElement.

### setCode

    public void setCode(String code)

  Applet class file. See the `code` attribute for HTMLAppletElement.

### getAlign

    public String getAlign()

  Aligns this object (vertically or horizontally) with respect to its surrounding text. See the align attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

### setAlign

    public void setAlign(String align)

  Aligns this object (vertically or horizontally) with respect to its surrounding text. See the align attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

### getArchive

    public String getArchive()

  Space-separated list of archives. See the archive attribute definition in HTML 4.01.

### setArchive

    public void setArchive(String archive)

  Space-separated list of archives. See the archive attribute definition in HTML 4.01.

### getBorder

    public String getBorder()

  Width of border around the object. See the border attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

### setBorder

    public void setBorder(String border)

  Width of border around the object. See the border attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

### getCodeBase

    public String getCodeBase()

  Base URI [IETF RFC 2396] for `classid`, `data`, and `archive` attributes. See the codebase attribute definition in HTML 4.01.

### setCodeBase

    public void setCodeBase(String codeBase)

  Base URI [IETF RFC 2396] for `classid`, `data`, and `archive` attributes. See the codebase attribute definition in HTML 4.01.

### getCodeType

    public String getCodeType()

  Content type for data downloaded via `classid` attribute. See the codetype attribute definition in HTML 4.01.

### setCodeType

    public void setCodeType(String codeType)

  Content type for data downloaded via `classid` attribute. See the codetype attribute definition in HTML 4.01.

### getData

    public String getData()

  A URI [IETF RFC 2396] specifying the location of the object's data. See the data attribute definition in HTML 4.01.

### setData

    public void setData(String data)

  A URI [IETF RFC 2396] specifying the location of the object's data. See the data attribute definition in HTML 4.01.

### getDeclare

    public boolean getDeclare()

  Declare (for future reference), but do not instantiate, this object. See the declare attribute definition in HTML 4.01.

### setDeclare

    public void setDeclare(boolean declare)

  Declare (for future reference), but do not instantiate, this object. See the declare attribute definition in HTML 4.01.

### getHeight

    public String getHeight()

  Override height. See the height attribute definition in HTML 4.01.

### setHeight

    public void setHeight(String height)

  Override height. See the height attribute definition in HTML 4.01.

### getHspace

    public int getHspace()

  Horizontal space, in pixels, to the left and right of this image, applet, or object. See the hspace attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

### setHspace

    public void setHspace(int hspace)

  Horizontal space, in pixels, to the left and right of this image, applet, or object. See the hspace attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

### getName

    public String getName()

  Form control or object name when submitted with a form. See the name attribute definition in HTML 4.01.

### setName

    public void setName(String name)

  Form control or object name when submitted with a form. See the name attribute definition in HTML 4.01.

### getStandby

    public String getStandby()

  Message to render while loading the object. See the standby attribute definition in HTML 4.01.

### setStandby

    public void setStandby(String standby)

  Message to render while loading the object. See the standby attribute definition in HTML 4.01.

### getTabIndex

    public int getTabIndex()

  Index that represents the element's position in the tabbing order. See the tabindex attribute definition in HTML 4.01.

### setTabIndex

    public void setTabIndex(int tabIndex)

  Index that represents the element's position in the tabbing order. See the tabindex attribute definition in HTML 4.01.

### getType

    public String getType()

  Content type for data downloaded via `data` attribute. See the type attribute definition in HTML 4.01.

### setType

    public void setType(String type)

  Content type for data downloaded via `data` attribute. See the type attribute definition in HTML 4.01.

### getUseMap

    public String getUseMap()

  Use client-side image map. See the usemap attribute definition in HTML 4.01.

### setUseMap

    public void setUseMap(String useMap)

  Use client-side image map. See the usemap attribute definition in HTML 4.01.

### getVspace

    public int getVspace()

  Vertical space, in pixels, above and below this image, applet, or object. See the vspace attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

### setVspace

    public void setVspace(int vspace)

  Vertical space, in pixels, above and below this image, applet, or object. See the vspace attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

### getWidth

    public String getWidth()

  Override width. See the width attribute definition in HTML 4.01.

### setWidth

    public void setWidth(String width)

  Override width. See the width attribute definition in HTML 4.01.

### getContentDocument

    public Document getContentDocument()

  The document this object contains, if there is any and it is available, or `null` otherwise.

  Since:
    DOM Level 2

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 C.N.Medappa. All Rights Reserved.